=== debian/changelog ===
phcpack (2.4.92+dfsg-2) unstable; urgency=medium

  * debian/control
    - Remove redundant Rules-Requires-Root field.
    - Remove Priority field since "optional" is now the default.
    - Bump Standards-Version to 4.7.3.
    - Add dh-octave to Build-Depends.  This is redundant since we're
      already depending on dh-sequence-octave, but it's harmless and
      silences a false positive Lintian error
      (missing-build-dependency-for-dh_-command).
  * debian/copyright
    - Update my copyright years.
    - Update years for documentation license information and include PHCpy
      directory.
  * debian/rules
    - Set PYBUILD_SYSTEM since pybuild cannot detect the build system.
    - Stop injecting "-std=gnu++14" build flag; issue fixed upstream.

 -- Doug Torrance <dtorrance@debian.org>  Tue, 20 Jan 2026 11:07:29 -0500

phcpack (2.4.92+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Doug Torrance <dtorrance@debian.org>  Fri, 07 Nov 2025 22:56:42 -0500
