=== debian/control ===
Source: phcpack
Section: math
Maintainer: Debian Math Team <team+math@tracker.debian.org>
Uploaders: Doug Torrance <dtorrance@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-octave,
               dh-sequence-octave,
               dh-sequence-sphinxdoc <!nodoc>,
               dvipng <!nodoc>,
               python3-sphinx,
               texlive-latex-base <!nodoc>,
               texlive-latex-extra <!nodoc>
Build-Depends-Arch: dh-ada-library (>= 8.2),
                    dh-sequence-python3 <!nopython>,
                    gnat (>= 11~),
                    gprbuild,
                    python3-all-dev <!nopython>,
                    python3-setuptools <!nopython>,
                    python3-tk <!nopython>
Standards-Version: 4.7.3
Homepage: https://homepages.math.uic.edu/~jan/PHCpack/phcpack.html
Vcs-Browser: https://salsa.debian.org/math-team/phcpack
Vcs-Git: https://salsa.debian.org/math-team/phcpack.git

Package: phcpack
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: phcpack-doc (= ${source:Version})
Suggests: macaulay2, octave-phclab (= ${source:Version})
Description: general-purpose solver for polynomial systems (command line)
 PHCpack is a software package to solve polynomial systems by homotopy
 continuation methods.
 .
 A polynomial system is given as a sequence of polynomials in several
 variables.  Homotopy continuation methods operate in two stages. In
 the first stage, a family of polynomial systems (the so-called
 homotopy) is constructed. This homotopy contains a polynomial system
 with known solutions. In the second stage, numerical continuation
 methods are applied to track the solution paths defined by the
 homotopy, starting at the known solutions and leading to the solutions
 of the given polynomial system.
 .
 This package contains the command line interface to PHCpack.

Package: phcpack-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Build-Profiles: <!nodoc>
Description: general-purpose solver for polynomial systems (documentation)
 PHCpack is a software package to solve polynomial systems by homotopy
 continuation methods.
 .
 A polynomial system is given as a sequence of polynomials in several
 variables.  Homotopy continuation methods operate in two stages. In
 the first stage, a family of polynomial systems (the so-called
 homotopy) is constructed. This homotopy contains a polynomial system
 with known solutions. In the second stage, numerical continuation
 methods are applied to track the solution paths defined by the
 homotopy, starting at the known solutions and leading to the solutions
 of the given polynomial system.
 .
 This package contains demo files and documentation.

Package: python3-phcpy
Section: python
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Build-Profiles: <!nopython>
Description: general-purpose solver for polynomial systems (Python)
 PHCpack is a software package to solve polynomial systems by homotopy
 continuation methods.
 .
 A polynomial system is given as a sequence of polynomials in several
 variables.  Homotopy continuation methods operate in two stages. In
 the first stage, a family of polynomial systems (the so-called
 homotopy) is constructed. This homotopy contains a polynomial system
 with known solutions. In the second stage, numerical continuation
 methods are applied to track the solution paths defined by the
 homotopy, starting at the known solutions and leading to the solutions
 of the given polynomial system.
 .
 This package contains PHCpy, the Python interface to PHCpack.

Package: octave-phclab
Architecture: all
Depends: phcpack (>= ${source:Version}), ${misc:Depends}, ${octave:Depends}
Description: general-purpose solver for polynomial systems (Octave)
 ${octave:Upstream-Description}
